import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class CheckboxComponent implements ControlValueAccessor {
    name: string;
    text: string;
    value: string;
    forId: string;
    checkedIcon: string;
    uncheckedIcon: string;
    disabled: any;
    readonly: any;
    checked: any;
    focus: boolean;
    uiChange: EventEmitter<boolean>;
    private _disabled;
    private _readonly;
    private _checked;
    private onChange;
    private onTouched;
    click(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
}
